org.apache.felix.resolver.util

## Class ShadowList

- java.lang.Object
- - org.apache.felix.resolver.util.CandidateSelector
  - - org.apache.felix.resolver.util.ShadowList

    public class ShadowList
    extends CandidateSelector

### Field Summary

### Fields inherited from class org.apache.felix.resolver.util.CandidateSelector

`isUnmodifiable, unmodifiable`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ShadowList` `copy()`
`static ShadowList` `createShadowList(CandidateSelector original)`
`static ShadowList` `deepCopy(ShadowList original)`
`void` `insertHostedCapability(ResolveContext context, HostedCapability wrappedCapability, HostedCapability toInsertCapability)`
`void` `replace(org.osgi.resource.Capability origCap, org.osgi.resource.Capability c)`

### Methods inherited from class org.apache.felix.resolver.util.CandidateSelector

`checkModifiable, getCurrentCandidate, getRemainingCandidateCount, getRemainingCandidates, isEmpty, remove, removeCurrentCandidate, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### createShadowList

    public static ShadowList createShadowList(CandidateSelector original)

#### deepCopy

    public static ShadowList deepCopy(ShadowList original)

#### copy

    public ShadowList copy()

Overrides:
  `copy` in class `CandidateSelector`

#### insertHostedCapability

    public void insertHostedCapability(ResolveContext context,
                                       HostedCapability wrappedCapability,
                                       HostedCapability toInsertCapability)

#### replace

    public void replace(org.osgi.resource.Capability origCap,
                        org.osgi.resource.Capability c)